Bug 97404 - I18n in gcc errors coredumps gcc ?
I18n in gcc errors coredumps gcc ?
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-14 15:00 EDT by Thomas BOUTON
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 14:41:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas BOUTON 2003-06-14 15:00:04 EDT
Description of problem:
gcc coredumps (see steps)

Version-Release number of selected component (if applicable):
3.2.2

How reproducible:

Steps to Reproduce:
1. Set LANG to fr_FR.UTF8 (export LANG=fr_FR.UTF8)
2. Create file test.cpp as follows :
#include <string>
use namespace std;
void test() { string v; v=0; }
3. gcc -c test.c
    
Actual results:

------------------------------------------------------------------
test.cpp: Dans function « void test() »:
test.cpp:5: ambiguous overload pour l'opérateur «
erreur interne de compilateur: erreur pour rapporter une routine ré-entée
SVP soumettre un rapport complet d'anomalies,
avec le source pré-traité si cela est approprié.
Consulter <URL:http://bugzilla.redhat.com/bugzilla/> pour les instructions.
------------------------------------------------------------------

Expected results:
(results obtained whith LANG=C)

------------------------------------------------------------------
test.cpp: In function `int test()':
test.cpp:6: ambiguous overload for `std::string& = int' operator
/usr/include/c++/3.2.2/bits/basic_string.h:338: candidates are:
[snip]
------------------------------------------------------------------
Comment 1 Jakub Jelinek 2003-06-17 14:41:53 EDT
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/po/fr.po.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.3.2.2&r2=1.3.2.2.8.1
Will be fixed with the next gcc-3.2.3 rpm build. But it is fixed in gcc-3.3 in rawhide as well.

Note You need to log in before you can comment on or make changes to this bug.